<?php
/**
 *
 * Module for From Same Authors Book Library Module
 * @package Booklibrary
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @copyright Andrey Kvasnevskiy-OrdaSoft(akbet@mail.ru); 
 * Homepage: http://www.ordasoft.com
 *
 * */
//$start=microtime(1);
/** ensure this file is being included by a parent file */
defined('_JEXEC') or die('Restricted access');

require_once ( JPATH_SITE . "/components/com_booklibrary/functions.php" );

$path = JPATH_BASE . '/' . 'components' . '/' . 'com_booklibrary' . '/' . 'functions.php';
if (!file_exists($path)) {
    echo "To display the Book library Module You have to install Book Library component first<br />";
    exit;
} else {
    require_once ($path);
}

$doc = JFactory::getDocument();

if(checkStylesIncludedBl("/booklibrary.css") === false ) {
    $doc->addStyleSheet(JURI::root(true) . '/components/com_booklibrary/includes/booklibrary.css');
}

if (!function_exists('sefreltoabs')) {

    function sefRelToAbs($value) {
        //Need check!!!
        // Replace all &amp; with & as the router doesn't understand &amp;
        $url = str_replace('&amp;', '&', $value);
        if (substr(strtolower($url), 0, 9) != "index.php")
            return $url;
        $uri = JURI::getInstance();
        $prefix = $uri->toString(array('scheme', 'host', 'port'));
        return $prefix . JRoute::_($url);
    }

}


$database = JFactory::getDBO();
$bookid = 0;
$author_id = 0;


$req_id = JFactory::getApplication()->input->getCmd('id', "");
$req_option = JFactory::getApplication()->input->getCmd('option', "");
$req_task = JFactory::getApplication()->input->getCmd('task', "");

if ($req_id != ""
  && $req_task == 'view_author'
  && $req_option == 'com_booklibrary' ) {

    $author_id = intval($req_id);
    $selectstring = "SELECT fk_bookid FROM #__booklibrary_authors_connect WHERE fk_authorid=" . $author_id;
    $my = JFactory::getUser();
    $database->setQuery($selectstring);
    $bookid = trim($database->loadResult());
}
else if ( $req_id != ""
  && ( $req_task == 'view'  || $req_task == 'view_bl' ) 
  && $req_option == 'com_booklibrary' ) {

     $bookid = intval($req_id);
     $selectstring = "SELECT fk_authorid FROM #__booklibrary_authors_connect WHERE fk_bookid=" . $bookid;
     $my = JFactory::getUser();
     $GLOBALS['database'] = $database;
     $GLOBALS['my'] = $my;
     $GLOBALS['acl'] = $acl = new JAccess;
     $database->setQuery($selectstring);
     $author_id = trim($database->loadResult());

}

if ( $bookid != 0 && $author_id != 0  ) {

    $countLimit = intval($params->get('count', 5));
    $moduleclass_sfx = $params->get('moduleclass_sfx', '');
    $g_words = $params->get('words', '');
    $showtitle = $params->get('showtitle', '');
    $showauthor = $params->get('showauthor', '');
    $showcover = $params->get('showcover', 1);
    $displaytype = $params->get('displaytype', 0);
    $coversize = $params->get('coversize', '127');
    //$start=microtime();
    $ItemId_tmp_from_params = $params->get('ItemId');

         
    $rowses = array();

    $s = getWhereUsergroupsString("c");
    $d_p_cat = getWhereDatePublishString("c");
    $d_p_book = getWhereDatePublishString("b"); 

    $selectstring = "SELECT b.*, authors_name as authors, bc.catid
              FROM #__booklibrary AS b" .
            "\nLEFT JOIN #__booklibrary_categories AS bc ON bc.bookid=b.id" .
            "\nLEFT JOIN #__booklibrary_main_categories AS c ON c.id=bc.catid" .
            "\nLEFT JOIN #__booklibrary_authors_connect AS ac ON ac.fk_bookid=b.id" .
            "\nLEFT JOIN #__booklibrary_authors AS ba ON ba.id=ac.fk_authorid" .
            "\n WHERE ac.fk_authorid  = " . $author_id . " AND b.id != " . $bookid .
            " AND ({$s}) AND ({$d_p_cat}) AND ({$d_p_book}) " .
            "\n GROUP BY b.id ORDER BY hits DESC LIMIT 0, $countLimit;";
    $database->setQuery($selectstring);
    $rows = $database->loadObjectList();

    //option=com_
    $database->setQuery(
      "SELECT id  FROM #__menu WHERE menutype like '%menu%' AND link LIKE '%index.php?option=com_booklibrary%' ");
    $ItemId_tmp_from_db = $database->loadResult();
    if ($ItemId_tmp_from_params != '') {
        $ItemId_tmp = $ItemId_tmp_from_params;
    } else {
        $ItemId_tmp = $ItemId_tmp_from_db;
    }

    if (count($rows) > 0) {

      require JModuleHelper::getLayoutPath('mod_booklibrary_fromsameauthor', $params->get('layout', 'default'));

    }
}
?>

